"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const argv_util_1 = require("./argv.util");
(0, globals_1.describe)('util/argv', () => {
    const argv = ['--make=ford', '--mode=mustang', '--year=1879'];
    process.argv.push(...argv);
    const util = new argv_util_1.UtilArgv();
    (0, globals_1.test)('find', () => {
        (0, globals_1.expect)(util.find('make')).toBe('ford');
        (0, globals_1.expect)(util.find('mode')).toBe('mustang');
        (0, globals_1.expect)(util.find('year')).toBe('1879');
        // expect(util.find('color')).toBe('')
    });
    (0, globals_1.test)('snapshot', () => {
        (0, globals_1.expect)(util.find('make')).toMatchSnapshot('ford');
        (0, globals_1.expect)(util.find('mode')).toMatchSnapshot('mustang');
        (0, globals_1.expect)(util.find('year')).toMatchSnapshot('1879');
        // expect(util.find('color')).toMatchSnapshot('')
    });
});
//# sourceMappingURL=argv.test.js.map