"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UtilPrompt = void 0;
const prompts_1 = require("prompts");
const config_1 = require("../config");
class UtilPrompt {
    config;
    constructor() {
        this.config = new config_1.UtilConfig();
    }
    createQuestion() {
        return [
            {
                type: 'select',
                name: 'snippet',
                message: 'Pick a snippet',
                choices: this.config.generate().map(({ snippet }) => ({ title: snippet, value: snippet })),
                initial: 0,
            },
            { type: 'text', name: 'name', message: 'Pick a name' },
            { type: 'text', name: 'path', message: 'Pick a path' },
        ];
    }
    async getArgs() {
        const question = this.createQuestion();
        return await (0, prompts_1.prompt)(question);
    }
}
exports.UtilPrompt = UtilPrompt;
//# sourceMappingURL=prompt.util.js.map