"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UtilSnippet = void 0;
const enums_1 = require("../../enums");
const string_formatter_1 = require("../string-formatter");
class UtilSnippet {
    stringFormatter;
    constructor() {
        this.stringFormatter = new string_formatter_1.UtilStringFormatter();
    }
    replace(snippet, name) {
        return snippet
            .replaceAll(enums_1.enumSnippetName.camelCase, `${this.stringFormatter.toCamelCase(name)}`)
            .replaceAll(enums_1.enumSnippetName.pascalCase, `${this.stringFormatter.toPascalCase(name)}`)
            .replaceAll(enums_1.enumSnippetName.lowerSnakeCase, `${this.stringFormatter.toLowerSnakeCase(name)}`)
            .replaceAll(enums_1.enumSnippetName.upperSnakeCase, `${this.stringFormatter.toUpperSnakeCase(name)}`)
            .replaceAll(enums_1.enumSnippetName.lowerKebabCase, `${this.stringFormatter.toLowerKebabCase(name)}`)
            .replaceAll(enums_1.enumSnippetName.upperKebabCase, `${this.stringFormatter.toUpperKebabCase(name)}`);
    }
}
exports.UtilSnippet = UtilSnippet;
//# sourceMappingURL=snippet.util.js.map