"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const enums_1 = require("../../enums");
const string_formatter_1 = require("../string-formatter");
const snippet_util_1 = require("./snippet.util");
(0, globals_1.describe)('util/snippet', () => {
    const utilSnippet = new snippet_util_1.UtilSnippet();
    const utilStringFormatter = new string_formatter_1.UtilStringFormatter();
    const name = 'hello-world';
    const snippet = `
    [${enums_1.enumSnippetName.camelCase}]
    [${enums_1.enumSnippetName.lowerKebabCase}]
    [${enums_1.enumSnippetName.lowerSnakeCase}]
    [${enums_1.enumSnippetName.pascalCase}]
    [${enums_1.enumSnippetName.upperKebabCase}]
    [${enums_1.enumSnippetName.upperSnakeCase}]
    `;
    const formattedSnippet = `
    [${utilStringFormatter.toCamelCase(name)}]
    [${utilStringFormatter.toLowerKebabCase(name)}]
    [${utilStringFormatter.toLowerSnakeCase(name)}]
    [${utilStringFormatter.toPascalCase(name)}]
    [${utilStringFormatter.toUpperKebabCase(name)}]
    [${utilStringFormatter.toUpperSnakeCase(name)}]
    `;
    (0, globals_1.test)('toCase', () => {
        (0, globals_1.expect)(utilSnippet.replace(snippet, name)).toBe(formattedSnippet);
    });
    (0, globals_1.test)('snapshot', () => {
        (0, globals_1.expect)(utilSnippet).toMatchSnapshot('util');
        (0, globals_1.expect)(utilSnippet.replace(snippet, name)).toMatchSnapshot('replace');
    });
});
//# sourceMappingURL=snippet.util.test.js.map