"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const string_formatter_util_1 = require("./string-formatter.util");
(0, globals_1.describe)('util/string-formatter', () => {
    const stringInKebabCase = 'hello-world';
    const util = new string_formatter_util_1.UtilStringFormatter();
    (0, globals_1.test)('toCase', () => {
        (0, globals_1.expect)(util.toCamelCase(stringInKebabCase)).toBe('helloWorld');
        (0, globals_1.expect)(util.toLowerKebabCase(stringInKebabCase)).toBe('hello-world');
        (0, globals_1.expect)(util.toLowerSnakeCase(stringInKebabCase)).toBe('hello_world');
        (0, globals_1.expect)(util.toPascalCase(stringInKebabCase)).toBe('HelloWorld');
        (0, globals_1.expect)(util.toUpperKebabCase(stringInKebabCase)).toBe('HELLO-WORLD');
        (0, globals_1.expect)(util.toUpperSnakeCase(stringInKebabCase)).toBe('HELLO_WORLD');
    });
    (0, globals_1.test)('snapshot', () => {
        (0, globals_1.expect)(util.toCamelCase(stringInKebabCase)).toMatchSnapshot('helloWorld');
        (0, globals_1.expect)(util.toLowerKebabCase(stringInKebabCase)).toMatchSnapshot('hello-world');
        (0, globals_1.expect)(util.toLowerSnakeCase(stringInKebabCase)).toMatchSnapshot('hello_world');
        (0, globals_1.expect)(util.toPascalCase(stringInKebabCase)).toMatchSnapshot('HelloWorld');
        (0, globals_1.expect)(util.toUpperKebabCase(stringInKebabCase)).toMatchSnapshot('HELLO-WORLD');
        (0, globals_1.expect)(util.toUpperSnakeCase(stringInKebabCase)).toMatchSnapshot('HELLO_WORLD');
    });
});
//# sourceMappingURL=string-formatter.test.js.map